/*!
 * Copyright (c) Microsoft. All rights reserved.
 * Licensed under the MIT license. See LICENSE file in the project.
 */
import type { IButtonProps, ICommandBarItemProps, ICommandBarStyleProps, ICommandBarStyles } from '@fluentui/react';
import type { IStyleFunctionOrObject } from '@fluentui/utilities';
/**
 * This hook just centralizes default command item styling for the header
 * @param commands -
 * @returns
 */
export declare function useCommands(commands: ICommandBarItemProps[] | undefined, background: string, color: string): ICommandBarItemProps[];
export declare function useColorDefaults(color?: string, bgColor?: string): {
    background: string;
    foreground: string;
};
export declare function useHandleOnDataReduce(color: string): (item: ICommandBarItemProps) => void;
export declare function useHandleOnDataGrown(color: string): (item: ICommandBarItemProps) => void;
export declare function useOverflowButtonProps(background: string, color: string): IButtonProps;
export declare function useCommandStyles(styles?: IStyleFunctionOrObject<ICommandBarStyleProps, ICommandBarStyles>): ICommandBarStyles;
